This content is not available in your preferred language.

The content is shown in another available language. Your browser may include features that can help translate the text.

Available Versions of LabVIEW Internet Toolkit

Updated Mar 25, 2019

Reported In

Software

  • LabVIEW Internet Toolkit
  • LabVIEW

Issue Details

  • I latest version of the LabVIEW Internet Toolkit that I can find to download is 2012 and am looking for a newer version to download. Is there a newer version available for download?
  • I already have an older version of LabVIEW Internet Toolkit installed (2012 or older) but I am using a newer version of LabVIEW. Will an older LabVIEW Internet Toolkit version be compatible with the a newer verison of LabVIEW?
  • I am looking to download the 2010 LabVIEW Internet Toolkit but the National Instrument's website does not display a download link. However, it says the following: 
Register your serial number or renew your SSP to access previous versions.

Which is also shown in the image below:

Solution

The LabVIEW Internet Toolkit is deprecated and no longer ships with the LabVIEW Platform. The LabVIEW Internet Toolkit 2012 is the latest available verison for download. However, these deprecated APIs are available to use for existing applications. LabVIEW Internet Toolkit 2012 will install support for a newer verison for LabVIEW (2013 or later) but National Instruments recommends against beginning any new development with these APIs. Additionally, all functions of this library are now available on all LabVIEW Development Systems.

Below are the recommended replacements for the deprecated APIs:

Additional Information

Register your serial number or renew your SSP to access previous versions.

WAS THIS ARTICLE HELPFUL?

Not Helpful